%define packrel  0
%define packname hdf5

Name: R-%{packname}
Version: 1.6.8
Release: 1%{?dist}
Source0: http://cran.r-project.org/contrib/main/%{packname}_%{version}.tar.gz
License: GPLv2+
URL: http://cran.r-project.org/contrib
Group: Applications/Engineering
Summary: Interface to the NCSA HDF5 library
BuildRequires: R-devel, tetex-latex, hdf5-devel, zlib-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires(post): R
Requires(postun): R
# Make sure we adjust this to match the version of hdf5 in the repository.
Requires: hdf5 = 1.8.1

%description
R package:
Interface to the NCSA HDF5 library

%prep
%setup -q -c -n %{packname}

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/R/library
export HDF5CPPFLAGS=-DH5_USE_16_API
%{_bindir}/R CMD INSTALL -l $RPM_BUILD_ROOT%{_libdir}/R/library %{packname}
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf $RPM_BUILD_ROOT%{_libdir}/R/library/R.css

%check
export HDF5CPPFLAGS=-DH5_USE_16_API
%{_bindir}/R CMD check %{packname}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_R_make_search_index}

%postun
%{_R_make_search_index}

%files
%{_libdir}/R/library/%{packname}

%changelog
* Thu Nov 20 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.6.8-1
- update to 1.6.8

* Mon Aug 25 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.6.7-1
- update to 1.6.7
- add versioned requires to hdf5

* Wed May 14 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.6.6-6
- reenable ppc64

* Tue May 13 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.6.6-5
- excludearch ppc64, due to bugzilla 445423

* Wed Feb 29 2008 Orion Poplawski <orion@cora.nwra.com> - 1.6.6-4
- Rebuild for hdf5-1.8.0, use compatability API define

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.6.6-3
- Autorebuild for GCC 4.3

* Sun Aug 26 2007 Tom "spot" Callaway <tcallawa@redhat.com> 1.6.6-2
- rebuild for ppc32
- fix license tags

* Thu Jul  5 2007 Tom "spot" Callaway <tcallawa@redhat.com> 1.6.6-1
- bump to 1.6.6

* Tue Oct 17 2006 Tom "spot" Callaway <tcallawa@redhat.com> 1.6.4-2
- bump for R 2.4.0

* Fri Sep 15 2006 Tom "spot" Callaway <tcallawa@redhat.com> 1.6.4-1
- bump to 1.6.4

* Mon Jul 4 2005 Tom "spot" Callaway <tcallawa@redhat.com> 1.6.0-1
- Initial package creation

